package twitter4j.examples;

import twitter4j.Status;
import twitter4j.Twitter;
import twitter4j.TwitterException;

public class DestroyFavorite {
    public static void main(String[] args)throws TwitterException{
        if (args.length < 4) {
            System.out.println(
                "Usage: java twitter4j.examples.Update ID Password text");
            System.exit( -1);
        }
        Twitter twitter = new Twitter(args[0], args[1], args[2]);
        Status status = twitter.destroyFavorite(Integer.parseInt(args[3]));
        System.out.println("Successfully destroied the favorite to [" +
                status.getUser().getName() + "/" + status.getUser().getScreenName() +
                ":" + status.getText() + "].");
    }
}
